.l-header {
	position: fixed;
	inset: 0 auto auto 0;
	display: flex;
	align-items: center;
	width: 100%;
	padding: 20px 30px;
	background-color: #fff;
	border-radius: 0 0 30px 30px;
	z-index: 30001;
	transition: transform 0.3s;
}

.l-header.is-sticky {
	transform: translateY(-100%);
}

.l-header__inner {
	display: flex;
	align-items: center;
	width: 100%;
	height: 64px;
}

.l-header__logo {
	display: block;
	width: 180px;
}

.l-header__logo img {
	display: block;
	width: 100%;
}

@media (any-hover: hover) {
	.l-header__logo:hover {
		opacity: 0.8;
	}
}

.l-header__nav {
	margin-left: auto;
}

.l-header__nav-list {
	display: flex;
	align-items: center;
	gap: 10px;
}

.l-header__nav-item {
	width: 80px;
}

.l-header__nav-link {
	display: flex;
	flex-direction: column;
	align-items: center;
	color: unset;
	cursor: pointer;
}

.l-header__nav-icon {
	position: relative;
	display: flex;
	align-items: center;
	width: 32px;
	height: 100%;
	aspect-ratio: 1/1;
}

.l-header__nav-icon img {
	display: block;
	width: 100%;
	height: auto;
	transition: all 0.3s;
}

.l-header__nav-icon img.l-header__nav-icon-off {
	opacity: 1;
	visibility: visible;
}

.l-header__nav-icon img.l-header__nav-icon-on {
	position: absolute;
	inset: 0 auto auto 0;
	opacity: 0;
	visibility: hidden;
}

.l-header__nav-text {
	font-size: 14px;
	font-weight: 700;
	line-height: 1.4;
	text-align: center;
}

.l-header__nav-item--has {
	position: relative;
}

.l-header__nav-item--has::before {
	content: '';
	position: absolute;
	inset: -10px auto auto 0;
	display: block;
	width: 100%;
	height: calc(100% + 32px);
	background-color: #f9f7f3;
	border: 1px solid #8f8374;
	border-bottom: none;
	border-radius: 12px 12px 0 0;
	z-index: 1;
	opacity: 0;
	visibility: visible;
	transition: all 0.3s;
}

.l-header__nav-item--has .l-header__nav-icon {
	z-index: 2;
}

.l-header__nav-item--has .l-header__nav-text {
	position: relative;
	display: flex;
	align-items: center;
	gap: 4px;
	z-index: 2;
}

.l-header__nav-item--has .l-header__nav-text::after {
	content: '';
	display: block;
	width: 8px;
	height: 6px;
	background-color: var(--color-surface-dark);
	clip-path: polygon(0 0, 100% 0, 50% 100%);
}

.l-header__sub-nav-list {
	position: absolute;
	inset: calc(100% + 20px) auto auto 50%;
	display: flex;
	justify-content: center;
	align-items: center;
	gap: 8px;
	padding: 10px;
	background-color: #fff;
	border: solid 1px #8f8374;
	border-radius: 12px;
	z-index: 0;
	opacity: 0;
	visibility: hidden;
	transform: translateX(-50%);
	transition: all 0.3s;
}

.l-header__sub-nav-item {
	width: 80px;
}

.l-header__sub-nav-link {
	display: flex;
	flex-direction: column;
	align-items: center;
	color: unset;
}

.l-header__sub-nav-icon {
	position: relative;
	display: flex;
	align-items: center;
	width: 40px;
	height: 100%;
	aspect-ratio: 1 / 1;
}

.l-header__sub-nav-icon img {
	display: block;
	width: 100%;
	height: auto;
	transition: all 0.3s;
}

.l-header__sub-nav-icon img.l-header__sub-nav-icon-off {
	opacity: 1;
	visibility: visible;
}

.l-header__sub-nav-icon img.l-header__sub-nav-icon-on {
	position: absolute;
	inset: 0 auto auto 0;
	opacity: 0;
	visibility: hidden;
}

.l-header__sub-nav-text {
	font-size: 14px;
	font-weight: 700;
	line-height: 1.4;
	text-align: center;
	white-space: nowrap;
}

@media (any-hover: hover) {
	.l-header__nav-item--has:hover::before {
		opacity: 1;
		visibility: visible;
	}

	.l-header__nav-link:hover {
		color: var(--color-accent);
		text-decoration: none;
	}

	.l-header__nav-link:hover .l-header__nav-icon img.l-header__nav-icon-off {
		opacity: 0;
		visibility: hidden;
	}

	.l-header__nav-link:hover .l-header__nav-icon img.l-header__nav-icon-on {
		opacity: 1;
		visibility: visible;
	}

	.l-header__nav-item--has:hover .l-header__nav-text::after {
		background-color: var(--color-accent);
		clip-path: polygon(0 100%, 50% 0, 100% 100%);
	}

	.l-header__nav-item--has:hover .l-header__sub-nav-list {
		opacity: 1;
		visibility: visible;
	}

	.l-header__sub-nav-link:hover {
		color: var(--color-accent);
		text-decoration: none;
	}

	.l-header__sub-nav-link:hover .l-header__sub-nav-icon img.l-header__sub-nav-icon-off {
		opacity: 0;
		visibility: hidden;
	}

	.l-header__sub-nav-link:hover .l-header__sub-nav-icon img.l-header__sub-nav-icon-on {
		opacity: 1;
		visibility: visible;
	}
}

.l-header__button {
	margin-left: 20px;
}

.l-header__button .c-button-icon {
	width: 14px;
}

.l-header__button .c-button-icon img.c-button-icon-on {
	display: none;
}

.l-header__link {
	display: flex;
	align-items: center;
	justify-content: center;
	gap: 8px;
	margin-left: 24px;
	font-weight: 700;
	line-height: 1;
	color: unset;
}

.l-header__link-icon {
	display: flex;
	align-items: center;
	width: 18px;
	padding: 2px;
	background-color: var(--color-text-main);
	border-radius: 50%;
	aspect-ratio: 1/1;
	transition: all 0.3s;
}

.l-header__link-icon img {
	display: block;
	width: 100%;
	height: auto;
}

@media (any-hover: hover) {
	.l-header__link:hover {
		text-decoration: none;
	}

	.l-header__link:hover .l-header__link-icon {
		transform: translateX(3px);
	}
}

.l-header__menu {
	display: flex;
	flex-direction: column;
	align-items: center;
	justify-content: center;
	gap: 12px;
	width: 40px;
	margin-left: 30px;
	padding: 0;
	background-color: transparent;
	border: none;
	border-radius: 0;
	aspect-ratio: 1/1;
	cursor: pointer;
}

.l-header__menu::before,
.l-header__menu::after {
	content: '';
	display: block;
	width: 100%;
	height: 3px;
	background-color: var(--color-text-main);
	border-radius: 2px;
	transition: transform 0.3s;
}

.is-menu-open .l-header__menu::before {
	transform: translateY(7.5px) rotate(45deg);
}

.is-menu-open .l-header__menu::after {
	transform: translateY(-7.5px) rotate(-45deg);
}

@media (any-hover: hover) {
	.l-header__menu:hover {
		background-color: transparent;
	}
}

@media screen and (max-width: 767px) {
	.l-header {
		padding: 8px 20px;
		border-radius: 0 0 16px 16px;
	}

	.l-header__logo {
		width: 120px;
	}

	.l-header__nav {
		display: none;
	}

	.l-header__button {
		gap: 8px;
		margin-left: auto;
		padding: 14px 16px;
		font-size: 14px;
	}

	.l-header__link {
		display: none;
	}

	.l-header__menu {
		gap: 10px;
		width: 32px;
		margin-left: 20px;
	}

	.is-menu-open .l-header__menu::before {
		transform: translateY(6.5px) rotate(45deg);
	}

	.is-menu-open .l-header__menu::after {
		transform: translateY(-6.5px) rotate(-45deg);
	}
}

.l-gnav {
	position: fixed;
	inset: 0 auto auto 0;
	width: 100vw;
	height: 100dvh;
	z-index: 30002;
	transform: translateX(100vw);
	transition: transform 0.4s;
}

.is-menu-open .l-gnav {
	transform: translateX(0);
}

.l-gnav__bg {
	position: absolute;
	inset: 0 auto auto 0;
	width: 100%;
	height: 100%;
	background-color: rgb(0 0 0 / 40%);
	z-index: 0;
}

.l-gnav__inner {
	-webkit-overflow-scrolling: touch;
	position: relative;
	display: grid;
	grid-template-rows: auto 1fr;
	width: 48vw;
	height: 100dvh;
	margin: 0 0 auto auto;
	background-color: var(--color-base);
	border-radius: 30px 0 0 30px;
	z-index: 1;
}

.l-gnav__head {
	display: flex;
	align-items: center;
	justify-content: space-between;
	padding: 40px 30px;
}

.l-gnav__head-text {
	margin-left: 30px;
	font-size: 24px;
	font-weight: 700;
	line-height: 1;
}

.l-gnav__menu {
	display: flex;
	flex-direction: column;
	align-items: center;
	justify-content: center;
	gap: 12px;
	width: 40px;
	padding: 0;
	background-color: transparent;
	border: none;
	border-radius: 0;
	aspect-ratio: 1 / 1;
	cursor: pointer;
}

.l-gnav__menu::before,
.l-gnav__menu::after {
	content: '';
	display: block;
	width: 100%;
	height: 3px;
	background-color: var(--color-text-main);
	border-radius: 2px;
	transition: transform 0.3s;
}

.is-menu-open .l-gnav__menu::before {
	transform: translateY(7.5px) rotate(45deg);
}

.is-menu-open .l-gnav__menu::after {
	transform: translateY(-7.5px) rotate(-45deg);
}

.l-gnav__body {
	-webkit-overflow-scrolling: touch;
	overflow: hidden auto;
	scrollbar-width: thin;
	padding-bottom: 40px;
}

.l-gnav__nav {
	padding: 0 20px;
}

.l-gnav__nav-list {
	display: grid;
	grid-template-columns: repeat(4, 1fr);
	padding: 60px;
	background-color: #fff;
	border-radius: 30px;
}

.l-gnav__nav-item {
	position: relative;
	padding: 20px;
}

.l-gnav__nav-item:not(:nth-child(4n))::after {
	content: '';
	position: absolute;
	inset: 50% 0 auto auto;
	width: 1px;
	height: calc(100% - 20px);
	background-color: var(--color-text-main);
	transform: translateY(-50%);
}

.l-gnav__nav-item:nth-child(n + 5)::before {
	content: '';
	position: absolute;
	inset: 0 auto auto 50%;
	width: calc(100% - 20px);
	height: 1px;
	background-color: var(--color-text-main);
	transform: translateX(-50%);
}

.l-gnav__nav-link {
	display: flex;
	flex-direction: column;
	align-items: center;
	color: unset;
}

.l-gnav__nav-icon {
	position: relative;
	display: flex;
	align-items: center;
	width: 64px;
	height: 100%;
	aspect-ratio: 1 / 1;
}

.l-gnav__nav-icon img {
	display: block;
	width: 100%;
	height: auto;
	transition: all 0.3s;
}

.l-gnav__nav-icon img.l-gnav__nav-icon-off {
	opacity: 1;
	visibility: visible;
}

.l-gnav__nav-icon img.l-gnav__nav-icon-on {
	position: absolute;
	inset: 0 auto auto 0;
	opacity: 0;
	visibility: hidden;
}

.l-gnav__nav-text {
	font-size: 14px;
	font-weight: 700;
	line-height: 1.4;
	text-align: center;
}

.l-gnav__buttons {
	display: flex;
	flex-direction: column;
	gap: 20px;
	margin-top: 60px;
	padding: 0 20px;
}

.l-gnav__button {
	width: 240px;
	max-width: 100%;
	margin: 0 auto;
}

@media (any-hover: hover) {
	.l-gnav__menu:hover {
		background-color: transparent;
	}

	.l-gnav__nav-link:hover {
		color: var(--color-accent);
		text-decoration: none;
	}

	.l-gnav__nav-link:hover .l-gnav__nav-icon img.l-gnav__nav-icon-off {
		opacity: 0;
		visibility: hidden;
	}

	.l-gnav__nav-link:hover .l-gnav__nav-icon img.l-gnav__nav-icon-on {
		opacity: 1;
		visibility: visible;
	}
}

@media screen and (max-width: 767px) {
	.l-gnav__inner {
		width: calc(100vw - 40px);
		border-radius: 16px 0 0 16px;
	}

	.l-gnav__head {
		padding: 24px 20px;
	}

	.l-gnav__head-text {
		margin-left: 20px;
	}

	.l-gnav__menu {
		gap: 10px;
		width: 32px;
	}

	.is-menu-open .l-gnav__menu::before {
		transform: translateY(6.5px) rotate(45deg);
	}

	.is-menu-open .l-gnav__menu::after {
		transform: translateY(-6.5px) rotate(-45deg);
	}

	.l-gnav__nav-list {
		grid-template-columns: repeat(2, 1fr);
		padding: 20px;
		border-radius: 16px;
	}

	.l-gnav__nav-item:not(:nth-child(4n))::after {
		content: none;
	}

	.l-gnav__nav-item:not(:nth-child(2n))::after {
		content: '';
		position: absolute;
		inset: 50% 0 auto auto;
		width: 1px;
		height: calc(100% - 20px);
		background-color: var(--color-text-main);
		transform: translateY(-50%);
	}

	.l-gnav__nav-item:nth-child(n + 3)::before {
		content: '';
		position: absolute;
		inset: 0 auto auto 50%;
		width: calc(100% - 20px);
		height: 1px;
		background-color: var(--color-text-main);
		transform: translateX(-50%);
	}

	.l-gnav__buttons {
		width: 100%;
		margin-top: 30px;
	}

	.l-gnav__button {
		max-width: 264px;
		margin: 0 auto;
	}
}